require 'sketchup'
require 'extensions'

Sketchup.require '3dbazaar/version'

module Lindale
  module Bazaar
    # ---------
    # Constants
    # ---------

    PATH = File.join(File.dirname(__FILE__), '3dbazaar') unless defined?(self::PATH)

    INSTALL_DIR = __dir__

    # Platforms

    MAC = (Object::RUBY_PLATFORM =~ /darwin/i ? true : false)
    WIN = (Object::RUBY_PLATFORM =~ /mswin/i || Object::RUBY_PLATFORM =~ /mingw/i ? true : false)

    # ----------------------
    # Register the extension
    # ----------------------

    ext = SketchupExtension.new('3D Bazaar', '3dbazaar/menu')

    ext.description = 'High-quality render-ready SketchUp content at your fingertips'
    ext.version = Lindale::Bazaar.version
    ext.creator = 'Lindalë'
    ext.copyright = "Lindalë © #{Time.new.year}"

    Sketchup.register_extension(ext, true)
  end
end
